class AR::Events::HitSuccess < AR::Events::Event
  attr_participant :hitter, :hitee
  attr_accessor :technique
  attr_accessor :is_critical

  def initialize params
    super params
    self.technique = params[:technique]
    self.is_critical = params[:is_critical]
  end 

  #story told by default if participants don't offer any story
  def default_story
  end

end
